Skip to main content
GET
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bills
Get E-Way Bills By Date
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bills \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bills"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": [
      {
        "docDate": "15/12/2017",
        "docNo": "7001-8",
        "ewbDate": "02/05/2024 07:00:00 PM",
        "ewbNo": 291010077010,
        "genGstin": "29AAACQ3770E000",
        "rejectStatus": "Y",
        "rejectedDate": "02/05/2024 07:43:00 PM",
        "status": "CNL",
        "validUpto": "06/05/2024 11:59:00 PM"
      }
    ],
    "status": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "6a0c19c2-ae4d-4f70-9c48-50770fb74dfd"
}

Headers

authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Query Parameters

generated_date
string
required

E-Way bill generated date

Example:

"21/02/2025"

rejected
string

Pass true to get rejected E-Way Bills

Example:

"true"

Response

200 - application/json

200 EWBs fetched / 418 No data found / 200 Rejected EWBs fetched / 200 Cancelled and rejected EWBs fetched / Option not enabled in EWB 2

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"8a14ade1-f43c-4a1e-93f8-86d384abdcbe"